System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.HttpTransportBindingElement System.ServiceModel.Channels.ITransportTokenAssertionProvider

The class is the starting point for creating a custom binding that implements the HTTPS transport protocol. HTTPS is the primary transport used for secure interoperability purposes. HTTPS is supported by the indigo1 to ensure interoperability with other Web services stacks.

The indigo2 service model uses this class to create factory objects that implement the and interfaces. These factory objects, in turn, create the channels and listeners that transmit SOAP messages using the HTTPS protocol.

You control the configuration of the factories that this class creates by setting its properties, such as: .

You can also set properties on the base class, , such as: , , and .

You can also set properties on the base class , such as: , and . For a complete list of properties, see .

Represents the binding element used to specify an HTTPS transport for transmitting messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  This method is a copy constructor used to clone (make another copy of) the binding element.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  Returns a channel factory that is configured based on the values set in the transport binding element.

  Creates a channel factory of a specified type that can be used to create a channel.

  A channel factory of the specified type that is configured based on the values set in the transport binding element.

  members that describe bindings, behaviors, contracts and other information required to create the channel factory. Type of channel.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  A channel listener that is configured based on the values set in the transport binding element.

  Creates a channel listener of a specified type that can be used to create a channel.

  A channel listener of the specified type.

  members that describe bindings, behaviors, contracts and other information required to create the channel factory. Type of channel.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a copy of the current binding element.

  A copy of the current binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  This method gets the specified object from the base class, or from one of that class's ancestors. The object returned is usually a collection of properties, for example an object that implements .

  Gets a specified object from the .

  The specified object from the , or null if the object isn't found.

  A . The object to get.
- Method
  4.0.0.0
  System.Xml.XmlElement

  This is used to generate WSDL for the associated service.

  Gets the that represents the transport token used in the security binding.

  An that represents the transport token used in the security binding.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether SSL client authentication is required.

- Property
  4.0.0.0
  System.String To be added.

  This method is provided to enable binding validation against base addresses.

  Returns the URI scheme for the transport.